Quassel IRC - Bug #422

Quasselclient/mono will not build static with dbus
11/24/2008 11:34 AM - Datafreak

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: Build System Estimated time: 0.00 hour
Target version: 0.6.0

Version: 0.3.0.x 0S: Any
Description

Quasselclient and Mono will not Build static with dbus.
| think "-Idbus-1 ${QTDIR}Mlib/libQtXml.a" missing somewhere.

Additional information:
Build with:

cd $SRC

git pull

cd $BUILD

mkdir $BUILD/staticlibs

In -s /ust/lib/libcrypto.a $BUILD/staticlibs/libcrypto.a

In -s /ust/lib/libssl.a $BUILD/staticlibs/libssl.a

In -s /ust/lib/gcc/i486-linux-gnu/4.3/libstdc++.a $BUILD/staticlibs/libstdc++.a
In -s /usr/lib/libdbus-1.a $BUILD/staticlibs/libdbus-1.a

In -s ${QTDIR}/lib/libQtXml.a $BUILD/staticlibs/libQtXml.a

cmake $SRC -DSTATIC=1 -DWANT_CORE=0ON -DWANT_QTCLIENT=ON -DWANT_MONO=ON

make

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 01/26/2009 12:26 AM - EgS

- Category changed from Quassel Client to Build System
- Status changed from New to Assigned

- Assignee set to Sputnick

- Version set to 0.3.1+

#3 - 02/18/2010 03:39 PM - johu
- Target version set to 0.6.0
- Version changed from 0.3.1+ to 0.3.0.x

- OS set to Any

#4 - 03/04/2010 07:24 PM - johu

- Status changed from Assigned to Resolved
